<?php
/**
 * Attributes File.
 *
 * @since 2.3.0
 *
 * @package uagb
 */

$border_attribute       = UAGB_Block_Helper::uag_generate_border_attribute( 'slider' );
$arrow_border_attribute = UAGB_Block_Helper::uag_generate_border_attribute( 'slider-arrow' );

$arrow_border_attribute['slider-arrowBorderBottomLeftRadius']  = 50;
$arrow_border_attribute['slider-arrowBorderBottomRightRadius'] = 50;
$arrow_border_attribute['slider-arrowBorderTopLeftRadius']     = 50;
$arrow_border_attribute['slider-arrowBorderTopRightRadius']    = 50;

return apply_filters(
	'spectra_slider_frontend_attributes',
	array_merge(
		array(
			'block_id'                    => '',
			'pauseOn'                     => 'hover',
			'infiniteLoop'                => true,
			'transitionSpeed'             => 800,
			'transitionEffect'            => 'slide',
			'autoplay'                    => true,
			'verticalMode'                => false,
			'autoplaySpeed'               => 3000,
			'displayArrows'               => true,
			'displayDots'                 => true,
			'backgroundType'              => 'none',
			'backgroundImageDesktop'      => '',
			'backgroundImageTablet'       => '',
			'backgroundImageMobile'       => '',
			'backgroundPositionDesktop'   => array(
				'x' => 0.5,
				'y' => 0.5,
			),
			'backgroundPositionTablet'    => '',
			'backgroundPositionMobile'    => '',
			'backgroundSizeDesktop'       => 'cover',
			'backgroundSizeTablet'        => '',
			'backgroundSizeMobile'        => '',
			'backgroundRepeatDesktop'     => 'no-repeat',
			'backgroundRepeatTablet'      => '',
			'backgroundRepeatMobile'      => '',
			'backgroundAttachmentDesktop' => 'scroll',
			'backgroundAttachmentTablet'  => '',
			'backgroundAttachmentMobile'  => '',
			'backgroundColor'             => '',
			'backgroundOpacity'           => '',
			'gradientValue'               => 'linear-gradient(90deg, rgba(6, 147, 227, 0.5) 0%, rgba(155, 81, 224, 0.5) 100%)',
			'gradientColor1'              => '#06558a',
			'gradientColor2'              => '#0063A1',
			'gradientType'                => 'linear',
			'gradientLocation1'           => 0,
			'gradientLocation2'           => 100,
			'gradientAngle'               => 0,
			'selectGradient'              => 'basic',
			'backgroundImageColor'        => '#FFFFFF75',
			'backgroundCustomSizeDesktop' => 100,
			'backgroundCustomSizeTablet'  => '',
			'backgroundCustomSizeMobile'  => '',
			'backgroundCustomSizeType'    => '%',
			'overlayType'                 => 'none',
			'customPosition'              => 'default',
			'xPositionDesktop'            => '',
			'xPositionTablet'             => '',
			'xPositionMobile'             => '',
			'xPositionType'               => 'px',
			'xPositionTypeTablet'         => 'px',
			'xPositionTypeMobile'         => 'px',
			'yPositionDesktop'            => '',
			'yPositionTablet'             => '',
			'yPositionMobile'             => '',
			'yPositionType'               => 'px',
			'yPositionTypeTablet'         => 'px',
			'yPositionTypeMobile'         => 'px',
			'topPaddingDesktop'           => 10,
			'bottomPaddingDesktop'        => 10,
			'leftPaddingDesktop'          => 10,
			'rightPaddingDesktop'         => 10,
			'topPaddingTablet'            => '',
			'bottomPaddingTablet'         => '',
			'leftPaddingTablet'           => '',
			'rightPaddingTablet'          => '',
			'topPaddingMobile'            => '',
			'bottomPaddingMobile'         => '',
			'leftPaddingMobile'           => '',
			'rightPaddingMobile'          => '',
			'paddingType'                 => 'px',
			'paddingTypeTablet'           => 'px',
			'paddingTypeMobile'           => 'px',
			'paddingLink'                 => true,
			'topMarginDesktop'            => '',
			'bottomMarginDesktop'         => '',
			'leftMarginDesktop'           => '',
			'rightMarginDesktop'          => '',
			'topMarginTablet'             => '',
			'bottomMarginTablet'          => '',
			'leftMarginTablet'            => '',
			'rightMarginTablet'           => '',
			'topMarginMobile'             => '',
			'bottomMarginMobile'          => '',
			'leftMarginMobile'            => '',
			'rightMarginMobile'           => '',
			'marginType'                  => 'px',
			'marginTypeTablet'            => 'px',
			'marginTypeMobile'            => 'px',
			'useSeparateBoxShadows'       => true,
			'boxShadowColor'              => '#00000070',
			'boxShadowHOffset'            => 0,
			'boxShadowVOffset'            => 0,
			'boxShadowBlur'               => '',
			'boxShadowSpread'             => '',
			'boxShadowPosition'           => 'outset',
			'boxShadowColorHover'         => '',
			'boxShadowHOffsetHover'       => 0,
			'boxShadowVOffsetHover'       => 0,
			'boxShadowBlurHover'          => '',
			'boxShadowSpreadHover'        => '',
			'boxShadowPositionHover'      => 'outset',
			'arrowSize'                   => 16,
			'arrowSizeTablet'             => '',
			'arrowSizeMobile'             => '',
			'arrowDistance'               => -20,
			'arrowDistanceTablet'         => '',
			'arrowDistanceMobile'         => '',
			'arrowPadding'                => 15,
			'arrowPaddingTablet'          => '',
			'arrowPaddingMobile'          => '',
			'arrowColor'                  => '#333333',
			'arrowBgColor'                => '',
			'verticalAlign'               => 'center',
			'dotsMarginTop'               => 20,
			'dotsMarginTopTablet'         => '',
			'dotsMarginTopMobile'         => '',
			'minHeight'                   => 350,
			'minHeightTablet'             => '',
			'minHeightMobile'             => '',
		),
		$border_attribute,
		$arrow_border_attribute
	)
);
